# Janos version 1.2.1
# JanosCore.py
# by Antoine Rauzy
# Copyrights (c) 2018-2022 AltaRica Association
#
# This file is part of Janos.
# Janos is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
# Janos is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# You should have received a copy of the GNU General Public License
# along with Janos.  If not, see <http://www.gnu.org/licenses/>.

# Table of Contents
# -----------------
# 1) Imported modules
# 2) Models
# 3) Interface
# 4) Tools

# 1) Imported modules
# -------------------

from S2MLCore import *
janosCoreDirectory = os.path.dirname(os.path.realpath(__file__))

# 2) Models
# ---------

sys.path.insert(0, os.path.join(janosCoreDirectory, "Models"))
from JanosModels import *

# 3) Interface
# ------------

sys.path.insert(0, os.path.join(janosCoreDirectory, "Interface"))
from JanosInterface import *

# 4) Tools
# --------

sys.path.insert(0, os.path.join(janosCoreDirectory, "Tools"))
from JanosTools import *
