# Janos version 1.2.1
# JanosType.py
# by Antoine Rauzy
# Copyrights (c) 2018-2022 AltaRica Association
#
# This file is part of Janos, a pedagogical stochastic simulator.
# Janos is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
# Janos is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# You should have received a copy of the GNU General Public License
# along with Janos.  If not, see <http://www.gnu.org/licenses/>.

# Table of Contents
# -----------------
# 1) Imported modules
# 2) Declaration
# 3) Elements

# 1) Imported modules
# -------------------

from S2MLCore import *

# 2) Declaration
# -----------

class JanosType(S2MLType):

# 3) Elements
# -----------

  VARIABLE = 1202
  EQUATION = 1211
  ASSIGNMENT = 1212
  DOUBLE_ASSIGNMENT = 1213
  OBSERVER = 1215

